new upstream release 2020a

Bug #1878108 reported by Brian Murray on 2020-05-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Brian Murray
Xenial
Undecided
Brian Murray
Bionic
Undecided
Brian Murray
Eoan
Undecided
Brian Murray
Focal
Undecided
Brian Murray

Bug Description

There is a new upstream release of tzdata, 2020, which includes the following:

  * New upstream release, affecting past and future timestamps:
    - Morocco springs forward on 2020-05-31, not 2020-05-24.
    - Canada's Yukon advanced to -07 year-round on 2020-03-08.
    - America/Nuuk renamed from America/Godthab.

Verification is done with 'zdump'. The first timezone that gets changed in the updated package is dumped with "zdump -v $region/$timezone_that_changed" (this needed to be greped for in /usr/share/zoneinfo/). [For example: "zdump -v Africa/Casablanca".] This is compared to the same output after the updated package got installed. If those are different the verification is considered done.

Brian Murray (brian-murray) wrote :

tzdata (2020a-0ubuntu1) groovy; urgency=medium

  * New upstream release, affecting past and future timestamps:
    - Morocco springs forward on 2020-05-31, not 2020-05-24.
    - Canada's Yukon advanced to -07 year-round on 2020-03-08.
    - America/Nuuk renamed from America/Godthab.

 -- Brian Murray <email address hidden> Thu, 07 May 2020 14:04:46 -0700

Changed in tzdata (Ubuntu):
status: New → Fix Released
Changed in tzdata (Ubuntu Focal):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Eoan):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Bionic):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in tzdata (Ubuntu Bionic):
status: New → In Progress
Changed in tzdata (Ubuntu Eoan):
status: New → In Progress
Changed in tzdata (Ubuntu Focal):
status: New → In Progress
description: updated

Hello Brian, or anyone else affected,

Accepted tzdata into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020a-0ubuntu0.20.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Changed in tzdata (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted tzdata into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020a-0ubuntu0.18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed-eoan
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted tzdata into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020a-0ubuntu0.19.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted tzdata into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020a-0ubuntu0.16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

I accepted all the versions, but just wanted to make one thing clear: the SRU policy mentions that usually tzdata SRUs are only upstream tarball updates, but the one for focal also had lots of debian/ file changes (copied over from the groovy update). I assume that was intentional due to the fact that the groovy packaging is based on the same one as the focal packaging.

All autopkgtests for the newly accepted tzdata (2020a-0ubuntu0.20.04) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

php7.4/7.4.3-4ubuntu1.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#tzdata

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Brian Murray (brian-murray) wrote :

The verification for focal looks good to me.

Get:1 http://192.168.10.7/ubuntu focal-proposed/main amd64 tzdata all 2020a-0ubuntu0.20.04 [293 kB]
Fetched 293 kB in 0s (3,516 kB/s)
Preconfiguring packages ...
(Reading database ... 258739 files and directories currently installed.)
Preparing to unpack .../tzdata_2020a-0ubuntu0.20.04_all.deb ...
Unpacking tzdata (2020a-0ubuntu0.20.04) over (2019c-3ubuntu1) ...
Setting up tzdata (2020a-0ubuntu0.20.04) ...

Current default time zone: 'America/Los_Angeles'
Local time is now: Wed May 13 10:54:43 PDT 2020.
Universal Time is now: Wed May 13 17:54:43 UTC 2020.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

bdmurray@clean-focal-amd64:~$ zdump -v Africa/Casablanca > after-update.txt
bdmurray@clean-focal-amd64:~$ diff -Nurp before-update.txt after-update.txt
--- before-update.txt 2020-05-13 10:51:49.783893730 -0700
+++ after-update.txt 2020-05-13 10:54:58.547750187 -0700
@@ -116,8 +116,8 @@ Africa/Casablanca Sun Jun 9 01:59:59 2
 Africa/Casablanca Sun Jun 9 02:00:00 2019 UT = Sun Jun 9 03:00:00 2019 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 01:59:59 2020 UT = Sun Apr 19 02:59:59 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 02:00:00 2020 UT = Sun Apr 19 02:00:00 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 01:59:59 2020 UT = Sun May 24 01:59:59 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 02:00:00 2020 UT = Sun May 24 03:00:00 2020 +01 isdst=0 gmtoff=3600
+Africa/Casablanca Sun May 31 01:59:59 2020 UT = Sun May 31 01:59:59 2020 +00 isdst=1 gmtoff=0
+Africa/Casablanca Sun May 31 02:00:00 2020 UT = Sun May 31 03:00:00 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 01:59:59 2021 UT = Sun Apr 11 02:59:59 2021 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 02:00:00 2021 UT = Sun Apr 11 02:00:00 2021 +00 isdst=1 gmtoff=0
 Africa/Casablanca Sun May 16 01:59:59 2021 UT = Sun May 16 01:59:59 2021 +00 isdst=1 gmtoff=0

Brian Murray (brian-murray) wrote :

The update is good on Ubuntu 19.10 too.

After this operation, 2,048 B of additional disk space will be used.
Get:1 http://192.168.10.7/ubuntu eoan-proposed/main amd64 tzdata all 2020a-0ubuntu0.19.10 [208 kB]
Fetched 208 kB in 0s (2,986 kB/s)
Preconfiguring packages ...
(Reading database ... 186389 files and directories currently installed.)
Preparing to unpack .../tzdata_2020a-0ubuntu0.19.10_all.deb ...
Unpacking tzdata (2020a-0ubuntu0.19.10) over (2019c-3) ...
Setting up tzdata (2020a-0ubuntu0.19.10) ...

Current default time zone: 'America/Los_Angeles'
Local time is now: Wed May 13 11:03:39 PDT 2020.
Universal Time is now: Wed May 13 18:03:39 UTC 2020.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

bdmurray@clean-eoan-amd64:~$ zdump -v "Africa/Casablanca" > after-update.txt
bdmurray@clean-eoan-amd64:~$ diff -Nurp before-update.txt after-update.txt | head -n 20
--- before-update.txt 2020-05-13 11:03:14.006746703 -0700
+++ after-update.txt 2020-05-13 11:09:57.982200456 -0700
@@ -116,8 +116,8 @@ Africa/Casablanca Sun Jun 9 01:59:59 2
 Africa/Casablanca Sun Jun 9 02:00:00 2019 UT = Sun Jun 9 03:00:00 2019 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 01:59:59 2020 UT = Sun Apr 19 02:59:59 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 02:00:00 2020 UT = Sun Apr 19 02:00:00 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 01:59:59 2020 UT = Sun May 24 01:59:59 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 02:00:00 2020 UT = Sun May 24 03:00:00 2020 +01 isdst=0 gmtoff=3600
+Africa/Casablanca Sun May 31 01:59:59 2020 UT = Sun May 31 01:59:59 2020 +00 isdst=1 gmtoff=0
+Africa/Casablanca Sun May 31 02:00:00 2020 UT = Sun May 31 03:00:00 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 01:59:59 2021 UT = Sun Apr 11 02:59:59 2021 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 02:00:00 2021 UT = Sun Apr 11 02:00:00 2021 +00 isdst=1 gmtoff=0
 Africa/Casablanca Sun May 16 01:59:59 2021 UT = Sun May 16 01:59:59 2021 +00 isdst=1 gmtoff=0

Brian Murray (brian-murray) wrote :

The tzdata update on Ubuntu 18.04 LTS is good too.

Get:1 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 tzdata all 2020a-0ubuntu0.18.04 [190 kB]
Fetched 190 kB in 1s (189 kB/s)
Preconfiguring packages ...
(Reading database ... 202126 files and directories currently installed.)
Preparing to unpack .../tzdata_2020a-0ubuntu0.18.04_all.deb ...
Unpacking tzdata (2020a-0ubuntu0.18.04) over (2019c-0ubuntu0.18.04) ...
Setting up tzdata (2020a-0ubuntu0.18.04) ...

Current default time zone: 'America/Los_Angeles'
Local time is now: Wed May 13 11:15:39 PDT 2020.
Universal Time is now: Wed May 13 18:15:39 UTC 2020.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

bdmurray@clean-bionic-amd64:~$ zdump -v "Africa/Casablanca" > after-update.txt
bdmurray@clean-bionic-amd64:~$ diff -Nurp before-update.txt after-update.txt | head -n 20
--- before-update.txt 2020-05-13 11:13:28.433873105 -0700
+++ after-update.txt 2020-05-13 11:16:49.030851720 -0700
@@ -116,8 +116,8 @@ Africa/Casablanca Sun Jun 9 01:59:59 2
 Africa/Casablanca Sun Jun 9 02:00:00 2019 UT = Sun Jun 9 03:00:00 2019 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 01:59:59 2020 UT = Sun Apr 19 02:59:59 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 02:00:00 2020 UT = Sun Apr 19 02:00:00 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 01:59:59 2020 UT = Sun May 24 01:59:59 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 02:00:00 2020 UT = Sun May 24 03:00:00 2020 +01 isdst=0 gmtoff=3600
+Africa/Casablanca Sun May 31 01:59:59 2020 UT = Sun May 31 01:59:59 2020 +00 isdst=1 gmtoff=0
+Africa/Casablanca Sun May 31 02:00:00 2020 UT = Sun May 31 03:00:00 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 01:59:59 2021 UT = Sun Apr 11 02:59:59 2021 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 02:00:00 2021 UT = Sun Apr 11 02:00:00 2021 +00 isdst=1 gmtoff=0
 Africa/Casablanca Sun May 16 01:59:59 2021 UT = Sun May 16 01:59:59 2021 +00 isdst=1 gmtoff=0

Brian Murray (brian-murray) wrote :

The tzdata update on Ubuntu 16.04 LTS is good too.

Get:1 https://ubuntu.osuosl.org/ubuntu xenial-proposed/main amd64 tzdata all 2020a-0ubuntu0.16.04 [168 kB]
Fetched 168 kB in 2s (73.8 kB/s)
Preconfiguring packages ...
(Reading database ... 359323 files and directories currently installed.)
Preparing to unpack .../tzdata_2020a-0ubuntu0.16.04_all.deb ...
Unpacking tzdata (2020a-0ubuntu0.16.04) over (2019c-0ubuntu0.16.04) ...
Setting up tzdata (2020a-0ubuntu0.16.04) ...

Current default time zone: 'America/Los_Angeles'
Local time is now: Wed May 13 11:22:04 PDT 2020.
Universal Time is now: Wed May 13 18:22:04 UTC 2020.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

bdmurray@clean-xenial-amd64:~$ zdump -v "Africa/Casablanca" > after-update.txt
bdmurray@clean-xenial-amd64:~$ diff -Nurp before-update.txt after-update.txt | head -n20
--- before-update.txt 2020-05-13 11:21:29.776000000 -0700
+++ after-update.txt 2020-05-13 11:22:23.490514776 -0700
@@ -116,8 +116,8 @@ Africa/Casablanca Sun Jun 9 01:59:59 2
 Africa/Casablanca Sun Jun 9 02:00:00 2019 UT = Sun Jun 9 03:00:00 2019 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 01:59:59 2020 UT = Sun Apr 19 02:59:59 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 19 02:00:00 2020 UT = Sun Apr 19 02:00:00 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 01:59:59 2020 UT = Sun May 24 01:59:59 2020 +00 isdst=1 gmtoff=0
-Africa/Casablanca Sun May 24 02:00:00 2020 UT = Sun May 24 03:00:00 2020 +01 isdst=0 gmtoff=3600
+Africa/Casablanca Sun May 31 01:59:59 2020 UT = Sun May 31 01:59:59 2020 +00 isdst=1 gmtoff=0
+Africa/Casablanca Sun May 31 02:00:00 2020 UT = Sun May 31 03:00:00 2020 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 01:59:59 2021 UT = Sun Apr 11 02:59:59 2021 +01 isdst=0 gmtoff=3600
 Africa/Casablanca Sun Apr 11 02:00:00 2021 UT = Sun Apr 11 02:00:00 2021 +00 isdst=1 gmtoff=0
 Africa/Casablanca Sun May 16 01:59:59 2021 UT = Sun May 16 01:59:59 2021 +00 isdst=1 gmtoff=0

tags: added: verification-done verification-done-bionic verification-done-eoan verification-done-focal verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-eoan verification-needed-focal verification-needed-xenial
Changed in tzdata (Ubuntu Trusty):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress

The verification of the Stable Release Update for tzdata has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020a-0ubuntu0.16.04

---------------
tzdata (2020a-0ubuntu0.16.04) xenial; urgency=medium

  * New upstream release (LP: #1878108), affecting past and future timestamps:
    - Morocco springs forward on 2020-05-31, not 2020-05-24.
    - Canada's Yukon advanced to -07 year-round on 2020-03-08.
    - America/Nuuk renamed from America/Godthab.

 -- Brian Murray <email address hidden> Thu, 07 May 2020 17:07:35 -0700

Changed in tzdata (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020a-0ubuntu0.18.04

---------------
tzdata (2020a-0ubuntu0.18.04) bionic; urgency=medium

  * New upstream release (LP: #1878108), affecting past and future timestamps:
    - Morocco springs forward on 2020-05-31, not 2020-05-24.
    - Canada's Yukon advanced to -07 year-round on 2020-03-08.
    - America/Nuuk renamed from America/Godthab.

 -- Brian Murray <email address hidden> Thu, 07 May 2020 17:01:38 -0700

Changed in tzdata (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020a-0ubuntu0.19.10

---------------
tzdata (2020a-0ubuntu0.19.10) eoan; urgency=medium

  * New upstream release (LP: #1878108), affecting past and future timestamps:
    - Morocco springs forward on 2020-05-31, not 2020-05-24.
    - Canada's Yukon advanced to -07 year-round on 2020-03-08.
    - America/Nuuk renamed from America/Godthab.

 -- Brian Murray <email address hidden> Thu, 07 May 2020 16:41:42 -0700

Changed in tzdata (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020a-0ubuntu0.20.04

---------------
tzdata (2020a-0ubuntu0.20.04) focal; urgency=medium

  * New upstream release (LP: #1878108), affecting past and future timestamps:
    - Morocco springs forward on 2020-05-31, not 2020-05-24.
    - Canada's Yukon advanced to -07 year-round on 2020-03-08.
    - America/Nuuk renamed from America/Godthab.

 -- Brian Murray <email address hidden> Thu, 07 May 2020 14:04:46 -0700

Changed in tzdata (Ubuntu Focal):
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) wrote :

Ubuntu Security team ack for binary copying these into the security pockets as well.

Thanks!

Changed in tzdata (Ubuntu Trusty):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers